<?php

namespace App\Http\Controllers;

use App\Models\login_model;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;

class login_controller extends Controller
{
    protected $login;

    public function __construct(){
        $this->login = new login_model;
    }

    public function index(){

        $url = route('submit_login_form');
        $login = $this->login;
        $data = compact('login','url');
        return view('login_form')->with($data);
    }

    public function login(Request $request){

        $request->validate([
            'name' => 'required',
            'password' => 'required',
        ]);

        $logins = $this->login->all();

        foreach ($logins as $login) {
            if ($request->name == $login->name && Hash::check($request->password, $login->password) && $request->role == $login->role && $login->status == 'active'){
                session([
                    'loggedIn' => true,
                    'userid' => $login->userid,
                    'name' => $login->name,
                    'password' => $login->password,
                ]);
                
                // Check if this is first login for the user
                if ($login->is_first_login) {
                    // Redirect to password change page
                    return redirect()->route('password.change')->with('message', 'Please change your password for security reasons.');
                }
                
                return redirect(route('home'));
            }
        }

        return back()->withErrors([
            'name' => 'Invalid credentials.',
            'password' => 'Invalid credentials.',
        ])->withInput();

    }

    public function logout(){

        session()->forget('loggedIn');
        return redirect()->route('login')->with('success', 'Logged out successfully.');

    }

}
