<?php

namespace App\Http\Controllers;

use App\Models\product_category_setting_model;
use App\Models\product_size_setting_model;
use App\Models\product_sub_category_model;
use App\Models\product_color_setting_model;
use Illuminate\Http\Request;
use App\Models\product_model;
use App\Models\cart_model;
use App\Models\cart_total_model;
use App\Models\user_model;

class order_product_controller extends Controller
{
    protected $products;
    protected $users;
    protected $cart;
    protected $cart_total;
    protected $category;
    protected $sub_category;
    protected $size;
    protected $color;
    public function __construct(){

        $this->products = new product_model;
        $this->users = new user_model;
        $this->cart = new cart_model;
        $this->cart_total = new cart_total_model;
        $this->category = new product_category_setting_model;
        $this->sub_category = new product_sub_category_model;
        $this->size = new product_size_setting_model;
        $this->color = new product_color_setting_model;

    }

    public function product_list($id = null){

        $login_user_id = session('userid');
        $login_user = $this->users->find($login_user_id);

        $carts = session()->get('cart', []);
        $cart_unique_items = is_array($carts) ? count($carts) : 0;


//        if(!empty(request('size')) || !empty(request('color')) || !empty(request('categories')) ){
        if(!empty(request('size')) || !empty(request('categories')) ){

            $all_products = $this->products->all();
            $products = [];

            $size = request('size');
            $color = request('color');
            $categories = request('categories') ? explode(',', request('categories')) : [];

            $added = false;

            $arr = [];

            foreach ($all_products as $product){

                $arr[] = $product['category'];

                $sizes = array_map('trim', explode(',', $product['size']));

                if (in_array($size, $sizes)) {

                    foreach ($categories as $key => $id){

                        $category_name = $this->category->where('id', $id)->value('category');

                        if($category_name == 'all' || $category_name == 'All'){

//                            echo 'name: '.$category_name.'<br>';

                            $products = $this->products->all();
                            $added = true;
                            break;
                        }

                    }

                    if ($added) {
                        continue;
                    }

//                    $cid = $this->sub_category->where('id', $product->category)->value('category_id');
//                    if ($size == $product->size) {
//                        if (in_array($cid, $categories)) {
//                            $products[] = $product;
//                        }
//                    }


                    $rawCategory = $product['category'];

// If it's already an array, use it
                    if (is_array($rawCategory)) {
                        $categoryList = $rawCategory;
                    }
// If it's a JSON-encoded array string (e.g., '["14"]'), decode it
                    elseif (is_string($rawCategory) && str_starts_with($rawCategory, '[')) {
                        $decoded = json_decode($rawCategory, true);
                        $categoryList = is_array($decoded) ? $decoded : [$rawCategory];
                    }
// Otherwise just wrap the value in an array
                    else {
                        $categoryList = [$rawCategory];
                    }

                    foreach ($categories as $id) {
//                        echo json_encode($categoryList) . ' - ' . $id . '<br>';

                        if (in_array((string)$id, $categoryList, true)) {
                            $products[] = $product;
                            break; // product matched at least one category, no need to check more
                        }
                    }



                }
            }


//            echo '<pre>';
//            print_r($arr);
//            echo '</pre>';
//            die;

        }else{

            $products = $this->products->all();

        }

        $categories = $this->category->all();
        $sub_categories = $this->sub_category->all();
        $colors = $this->color->all();
        $sizes = $this->size->all();
        $user = $login_user;

//        if (empty($id)) {
//
//            $category_id = $this->category->where('category', 'all')->where('category', 'All')->value('id');
//
//            $selected_categories = request('categories') ? explode(',', request('categories')) : [];
////            $selected_categories = [$category_id];
//
//        } else {
//            $selected_categories = [$id];
//        }

        $selected_categories = request('categories') ? explode(',', request('categories')) : [];

        $selected_color = request('color');
        $selected_size = request('size');


        $data = compact('products','login_user','carts','cart_unique_items','user','categories','sub_categories','colors','sizes','selected_categories','selected_color','selected_size');
        return view('products')->with($data);
    }

    public function add_to_cart($id) {

        $products = $this->products->all();
        $product = $products->where('id', $id)->first();

        if (!$product) {
            return response("Product not found", 404);
        }

        $cart = session()->get('cart', []);

        if (isset($cart[$id])) {
//            $cart[$id]['quantity'] += 1;
        } else {
            $cart[$id] = [
                'id' => $product['id'],
                'name' => $product['name'],
                'size' => $product['size'],
                'quantity' => 1,
                'price' => $product['price'],
                'image' => $product['image'],
            ];
        }

        session()->put('cart', $cart);

//        return redirect(route('product_list'));

        $carts = session()->get('cart', []);
        $cart_unique_items = is_array($carts) ? count($carts) : 0;

        return response()->json([
            'status' => 'Successfully Add To Cart',
            'items_count' => $cart_unique_items,
        ]);

    }

    public function delete($id){

        $cart = session()->get('cart', []);

        if (isset($cart[$id])) {
            unset($cart[$id]);

            session()->put('cart', $cart);
        }


        $carts = session()->get('cart', []);
        $cart_unique_items = is_array($carts) ? count($carts) : 0;

//        return redirect(route('product_list'));
        return response()->json([
            'status' => 'Successfully Deleted Item',
            'items_count' => $cart_unique_items,
        ]);

    }

    public function checkout() {

        $carts = session()->get('cart', []);
        $cart_unique_items = is_array($carts) ? count($carts) : 0;

        $total = 0;
        foreach ($carts as $cart){
            $total += $cart['price'] * $cart['quantity'];
        }

        $name = session('name');
        $password = session('password');
        $user_id = session('userid');

        if (!$user_id) {
            return response()->json(['error' => 'Session data missing'], 400);
        }
        
        // Get user for credit limit check
        $user = login_model::find($user_id);
        
        // Check if order exceeds credit limit
        if ($user && $total > $user->budget) {
            session()->flash('error', 'Your order exceeds your available credit limit of $' . number_format($user->budget, 2));
            return redirect()->back();
        }

        $cart_group_id = uniqid('cart_', true);
        foreach ($carts as $item) {

            $cart = new cart_model;
            $cart->userid = $user_id;
            $cart->groupid = $cart_group_id;
            $cart->pid = $item['id'];
            $cart->quantity = $item['quantity'];
            $cart->price = $item['price'];
            $cart->save();

            $product = new product_model;
            $product = $product->find($item['id']);
            $product->quantity = $product->quantity - $item['quantity'];
            $product->save();
        }

        $cart_total = $this->cart_total;
        $cart_total->cart_group = $cart_group_id;
        $cart_total->total = $total;
        $cart_total->save();


        $user = $this->users->find($user_id);
        $user->budget = $user->budget - $total;
        $user->save();


        session()->forget('cart');

        return redirect(route('order_detail', $cart_group_id));

//        return redirect(route('home'));

    }
}
