<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('users', function (Blueprint $table) {
            $table->string('employee_id')->nullable()->after('id');
            $table->string('department')->nullable()->after('name');
            $table->decimal('credit_limit', 10, 2)->default(0)->after('email');
            $table->decimal('credit_used', 10, 2)->default(0)->after('credit_limit');
            $table->enum('status', ['active', 'inactive'])->default('active')->after('credit_used');
            $table->boolean('is_first_login')->default(true)->after('status');
            $table->enum('role', ['admin', 'employee', 'manager'])->default('employee')->after('is_first_login');
            $table->string('phone')->nullable()->after('role');
            $table->string('position')->nullable()->after('phone');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('users', function (Blueprint $table) {
            $table->dropColumn([
                'employee_id',
                'department',
                'credit_limit',
                'credit_used',
                'status',
                'is_first_login',
                'role',
                'phone',
                'position'
            ]);
        });
    }
};
