(function ($) {

    console.log('jquery js');

    let baseUrl = $('meta[name="base-url"]').attr('content');

    // For Side Bar Active
    $(document).ready(function () {

        let currentUrl = window.location.href;

        $('.sidebar-menu__item').each(function () {

            var link = $(this).find('a').attr('href');

            if(currentUrl === link){
                $(this).addClass('active');
            }

        });

    });

    $('.add_to_cart').on('click', function () {

        var id = $(this).data('id');

        console.log('item id: ',id);

        $.ajax({
            url: baseUrl + '/products/add-to-cart/' + id,
            type: 'GET',
            data: {
                id: id,
                _token: $('meta[name="csrf-token"]').attr('content') // Important for Laravel
            },
            success: function(response) {

                console.log('response: ', response);

                $('.alarm-notify').text(response.items_count);


                var scrollPos = $('.cart-inner').scrollTop(); // Get Scroll position
                $('.cart').load(baseUrl + '/cart/partial', function() { // reload cart
                    $('.cart-inner').scrollTop(scrollPos);
                });


            },
            error: function(xhr) {
                console.log('Error:', xhr.responseText);
            }
        });


    });

    $('.cart').on('click', '.delete_item', function () {

        var id = $(this).data('id');

        $.ajax({
            url: baseUrl + '/cart/delete/' + id,
            type: 'GET',
            data: {
                id: id,
                _token: $('meta[name="csrf-token"]').attr('content') // Important for Laravel
            },
            success: function(response) {

                $('.alarm-notify').text(response.items_count);

                var scrollPos = $('.all_mini_cart_items').scrollTop(); // Get Scroll position
                $('.cart').load(baseUrl + '/cart/partial', function() { // reload cart
                    $('.all_mini_cart_items').scrollTop(scrollPos);
                });

            },
            error: function(xhr) {
                console.log('Error:', xhr.responseText);
            }
        });


    });

    $('.cart').on('click', '.add', function () {

        var id = $(this).data('id');

        console.log('click: add _ id: ', id);

        $.ajax({
            url: baseUrl + '/card_detail/increase_quantity/' + id,
            type: 'GET',
            data: {
                id: id,
                _token: $('meta[name="csrf-token"]').attr('content') // Important for Laravel
            },
            success: function(response) {

                console.log('response: ', response);

                var scrollPos = $('.all_mini_cart_items').scrollTop(); // Get Scroll position
                $('.cart').load(baseUrl + '/cart/partial', function() { // reload cart
                    $('.all_mini_cart_items').scrollTop(scrollPos);
                });


            },
            error: function(xhr) {
                console.log('Error:', xhr.responseText);
            }
        });

    });


    // $('.remove').on('click', function () {
    $('.cart').on('click', '.remove', function () {

        var id = $(this).data('id');

        console.log('click: remove _ id: ',id);

        $.ajax({
            url: baseUrl + '/card_detail/decrease_quantity/' + id,
            type: 'GET',
            data: {
                id: id,
                _token: $('meta[name="csrf-token"]').attr('content') // Important for Laravel
            },
            success: function(response) {

                console.log('response: ', response);

                var scrollPos = $('.all_mini_cart_items').scrollTop(); // Get Scroll position
                $('.cart').load(baseUrl + '/cart/partial', function() { // reload cart
                    $('.all_mini_cart_items').scrollTop(scrollPos);
                });

            },
            error: function(xhr) {
                console.log('Error:', xhr.responseText);
            }
        });

    });

    $('.animate_cart button, .cart_number button').on('click', function () {

        $('.cart').toggleClass('active');
        $('body').toggleClass('cart-active');

    });

    // $('.close-cart').on('click', function () {
    $('.cart').on('click', '.close-cart', function () {

        $('.cart').toggleClass('active');
        $('body').toggleClass('cart-active');
    });

    $('.grid_2').on('click', function () {

        $('.product_grid_card').each(function () {
            $(this)
                .attr('class', 'product_grid_card col-md-6');
        });
    });

    $('.grid_3').on('click', function () {

        $('.product_grid_card').each(function () {
            $(this)
                .attr('class', 'product_grid_card col-md-4');
        });
    });

    $('.grid_4').on('click', function () {

        $('.product_grid_card').each(function () {
            $(this)
                .attr('class', 'product_grid_card col-md-3');
        });
    });

    $(document).on('click', '.dropdown-toggle-btn', function(e) {
        e.preventDefault();
        $(this).siblings('.submenu').slideToggle(); // Toggle submenu
        $(this).toggleClass('open'); // Optional: rotate arrow
    });


    // For Filter
    $(document).ready(function() {
        $('.apply_filter').on('click', function() {
            // Collect selected categories (checkboxes)
            let selectedCategories = [];
            $('input[name="categories[]"]:checked').each(function() {
                selectedCategories.push($(this).val());
            });

            // Get selected size and color
            let selectedSize = $('#size').val();
            let selectedColor = $('#color').val();


            let params = [];

            if (selectedCategories.length > 0) {
                params.push('categories=' + selectedCategories.join(','));
            }
            if (selectedSize) {
                params.push('size=' + selectedSize);
            }
            if (selectedColor) {
                params.push('color=' + selectedColor);
            }

            if (params.length > 0) {
                url = baseUrl + '/products';
                url += '?' + params.join('&');
            }

            console.log('params: ',params);

            // Redirect to the URL
            window.location.href = url;
        });
    });


})(jQuery);
