<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Welcome to Ampcontrol Uniform Ordering Portal</title>
    <style>
        body {
            font-family: 'Arial', sans-serif;
            line-height: 1.6;
            color: #333;
            max-width: 600px;
            margin: 0 auto;
            padding: 20px;
        }
        .header {
            background-color: #f8f9fa;
            padding: 20px;
            text-align: center;
            border-radius: 5px 5px 0 0;
        }
        .logo {
            max-width: 200px;
            height: auto;
        }
        .content {
            padding: 20px;
            background-color: #ffffff;
            border: 1px solid #e9ecef;
        }
        .credentials {
            background-color: #f8f9fa;
            padding: 15px;
            border-radius: 5px;
            margin: 20px 0;
        }
        .button {
            display: inline-block;
            background-color: #007bff;
            color: white;
            text-decoration: none;
            padding: 10px 20px;
            border-radius: 5px;
            margin-top: 20px;
        }
        .footer {
            text-align: center;
            padding: 20px;
            font-size: 12px;
            color: #6c757d;
        }
    </style>
</head>
<body>
    <div class="header">
        <img src="{{ asset('/interior.images.local/logo.png') }}" alt="Ampcontrol Logo" class="logo">
    </div>
    
    <div class="content">
        <h2>Welcome to the Ampcontrol Uniform Ordering Portal</h2>
        
        <p>Hello {{ $user->name }},</p>
        
        <p>Your account has been created on the Ampcontrol Uniform Ordering Portal. This portal allows you to order uniforms and apparel within your allocated credit limit.</p>
        
        <p>Your account details are:</p>
        
        <div class="credentials">
            <p><strong>Email:</strong> {{ $user->email }}</p>
            <p><strong>Temporary Password:</strong> {{ $tempPassword }}</p>
            <p><strong>Your Credit Limit:</strong> ${{ number_format($user->credit_limit, 2) }}</p>
        </div>
        
        <p>Please click the button below to log in. You will be asked to change your password on your first login.</p>
        
        <a href="{{ route('login') }}" class="button">Login to Portal</a>
        
        <p>If you have any questions or need assistance, please contact your department manager.</p>
        
        <p>Best regards,<br>
        Enzy Team</p>
    </div>
    
    <div class="footer">
        <p>&copy; {{ date('Y') }} Enzy Global. All rights reserved.</p>
        <p>This email was sent to you because an account was created for you on the Ampcontrol Uniform Ordering Portal.</p>
    </div>
</body>
</html>
