<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Ampcontrol Uniform Portal - Login</title>
    <link rel="stylesheet" href="{{ asset('css/style.css') }}">
    <link rel="stylesheet" href="{{ asset('css/stylesheet.css') }}">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.5/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-SgOJa3DmI69IUzQ2PVdRZhwQ+dy64/BUtbMJw1MZ8t5HZApcHrRKUc4W0kG879m7" crossorigin="anonymous">
    <style>
        body {
            background-color: #f8f9fa;
        }
        .login-page {
            min-height: 100vh;
            display: flex;
            align-items: center;
            position: relative;
        }
        .globle_image {
            position: absolute;
            right: 0;
            top: 0;
            height: 100%;
            width: 40%;
            background-color: #2c2c2c;
            display: flex;
            align-items: center;
            justify-content: center;
        }
        @media (max-width: 991px) {
            .globle_image {
                display: none;
            }
        }
    </style>
</head>
<body>

@if(session('error'))
    <div class="alert alert-danger alert-dismissible fade show position-absolute top-0 start-50 translate-middle-x mt-4" role="alert" style="z-index: 1000">
        {{ session('error') }}
        <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
    </div>
@endif

<div class="login-page">
    <div class="container">
        <div class="row">
            <div class="col-lg-6 col-md-8">
                <img src="/interior.images.local/logo.png" alt="Logo" style="max-width: 180px; margin-bottom: 20px;">
                <h3>Welcome Back</h3>
                <p>Enter your email and password to sign in</p>
                <form method="post" action="{{$url}}" enctype="multipart/form-data">
                    @csrf

                    <div class="mb-3">
                        <label for="name" class="form-label">Username</label>
                        <input id="name" type="text" class="form-control @error('name') is-invalid @enderror"
                               name="name" value="{{ old('name', $login->name) }}" placeholder="Enter your username">
                        @error('name')
                        <div class="invalid-feedback">
                            {{ $message }}
                        </div>
                        @enderror
                    </div>

                    <div class="mb-3">
                        <label for="password" class="form-label">Password</label>
                        <div class="input-group">
                            <input id="password" type="password" class="form-control @error('password') is-invalid @enderror"
                                   name="password" value="{{ old('password', $login->password) }}" placeholder="Enter your password">
                            <span class="input-group-text" onclick="togglePassword()" style="cursor: pointer;">
                                <i class="fas fa-eye-slash" id="toggleIcon"></i>
                            </span>
                        </div>
                        @error('password')
                        <div class="invalid-feedback d-block">
                            {{ $message }}
                        </div>
                        @enderror
                    </div>

                    <input type="hidden" name="role" value="user">

                    {{-- Submit --}}
                    <div class="d-grid mt-4">
                        <button class="btn btn-primary" type="submit">Sign In</button>
                    </div>
                    
                    <div class="text-center mt-3">
                        <p class="mb-0 text-muted small">First time login? Use the temporary password sent to your email</p>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <div class="globle_image">
        <img src="/interior.images.local/logo.png" alt="Logo" style="max-width: 80%; height: auto;">
    </div>
</div>

<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script src="{{ asset('js/jquery.js') }}"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-YvpcrYf0tY3lHB60NNkmXc5s9fDVZLESaAA55NDzOxhy9GkcIdslK1eN7N6jIeHz" crossorigin="anonymous"></script>
<script>
    function togglePassword() {
        const passwordInput = document.getElementById('password');
        const toggleIcon = document.getElementById('toggleIcon');
        
        if (passwordInput.type === 'password') {
            passwordInput.type = 'text';
            toggleIcon.classList.remove('fa-eye-slash');
            toggleIcon.classList.add('fa-eye');
        } else {
            passwordInput.type = 'password';
            toggleIcon.classList.remove('fa-eye');
            toggleIcon.classList.add('fa-eye-slash');
        }
    }
    
    // Auto-dismiss alerts after 5 seconds
    setTimeout(function() {
        $('.alert').alert('close');
    }, 5000);
</script>
</body>
</html>
