@extends('layouts.main')

@push('nav_title')
    {{--    <a class="navbar-brand" href="{{route('users')}}">User</a>--}}
    <a class="navbar-brand" href="#">Enzy</a>
@endpush

@section('page_title')
    <div class="d-flex justify-content-between align-items-center">
        <h1>Products</h1>
        <button class="btn btn-primary" id="filter-toggle">
            <i class="fas fa-filter me-1"></i> Filter
        </button>
    </div>
@endsection

@section('profile')
    @include('layouts/profile')
@endsection

@section('side_bar')
    @include('layouts/side_bar')
@endsection

@section('main_div')
    <div class="product_with filter">
        <!-- Search Bar -->
        <div class="row mb-4">
            <div class="col-md-8 col-lg-6 mx-auto">
                <div class="input-group shadow-sm">
                    <input type="text" class="form-control" id="product-search" placeholder="Search products..." aria-label="Search products">
                    <button class="btn btn-primary" type="button" id="search-button">
                        <i class="fas fa-search"></i>
                    </button>
                </div>
            </div>
        </div>
        
        <div class="row">
            <!-- Filter Section (Left Side) -->
            <div class="col-md-3 mb-4" id="filter-sidebar" style="display: none;">
                <div class="card shadow-sm">
                    <div class="card-header bg-light">
                        <h5 class="mb-0">Categories</h5>
                    </div>
                    <div class="card-body">
                        <div class="catalogue">
                            @foreach($categories as $category)
                                <div class="form-check mb-2">
                                    <input class="form-check-input filter-checkbox" type="checkbox" id="{{$category->id}}" name="categories[]" value="{{$category->id}}"
                                       @if(in_array($category->id, $selected_categories)) checked @endif>
                                    <label class="form-check-label" for="{{$category->id}}">{{ ucwords($category->category) }}</label>
                                </div>
                            @endforeach
                        </div>
                        
                        <div class="mt-4">
                            <h5 class="mb-2">Size</h5>
                            <select id="size" name="size" class="form-select filter-select">
                                <option value="">All Sizes</option>
                                @foreach($sizes as $size)
                                    <option value="{{$size->id}}" @if($size->id == $selected_size) selected @endif>
                                        {{strtoupper($size->size)}}
                                    </option>
                                @endforeach
                            </select>
                        </div>
                        
                        <div class="mt-3">
                            <a href="{{route('product_list')}}" class="btn btn-outline-secondary w-100">
                                <i class="fas fa-undo me-1"></i> Reset Filters
                            </a>
                        </div>
                    </div>
                </div>
            </div>
            
            <!-- Product Listing Section -->
            <div class="col-md-12" id="product-grid">
                <div class="product-body">
                    @foreach($products as $product)
                        <div class="product_tab">
                            <div class="product-img">
                                <img src="{{ url('/../../interior.images.local/'.$product->image) }}">
                                <div class="add-to-cart">
                                    @if($product->quantity > 0)
                                        <button class="btn btn-secondary add_to_cart" data-id="{{$product->id}}">Add To
                                            Cart
                                        </button>
                                    @else
                                        <button class="btn btn-secondary add_to_cart" data-id="{{$product->id}}" disabled>
                                            Add To Cart
                                        </button>
                                    @endif
                                </div>
                            </div>
                            <div class="product_content">
                                <h5 class="mb-8"><a href="{{route('card_detail',['id' => $product->id])}}"
                                                    class="hover-text-main-600">{{$product->name}}</a></h5>
                                <div class="flex-between gap-4 flex-wrap mt-10">
                                    <div class="flex-align gap-2">
                                            <span class="price"><i
                                                    class="fa-solid fa-dollar-sign"></i>{{$product->price}}</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    @endforeach
                </div>
            </div>
        </div>
    </div>

    <div class="cart">
        @include('layouts.cart')
    </div>

    </div>
@endsection
